#include <stdio.h>

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include <unistd.h>
#include <string.h>

#include "commondefs.h"

int main () 
{
  int s;
  struct sockaddr_in sin;

  if ( (s = socket (PF_INET, SOCK_STREAM, 0)) < 0) {
    fprintf (stderr, "Error \n");
    return 1;
  }

  bzero ((void *) &sin, sizeof (sin));

  sin.sin_family = AF_INET;
  inet_aton ("127.0.0.1", &(sin.sin_addr));
  sin.sin_port = htons ( (u_short) 1025);

  if ( (connect (s, (struct sockaddr *)&sin, sizeof (sin) )) == 0) {
    int n;
    char buf[BUFSIZE];

    snprintf (buf, BUFSIZE, "spedizione di dati");

    fprintf (stdout, "connect to %s [%d]\n", inet_ntoa (sin.sin_addr), ntohs (sin.sin_port) );
    n = write (s, buf, BUFSIZE*sizeof(char));
    fprintf (stdout, "writing %d bytes: \"%s\"\n", n, buf);
  }
  else
    fprintf (stderr, "no connection\n");

  close (s);

  return 0;
}
